export declare function isLike<T>(value: unknown): value is T;
export declare function isArray<T>(value: unknown): value is T[];
export declare function isArray(value: unknown): value is unknown[];
export declare function isPromise(input: unknown): input is Promise<unknown>;
export declare function ok(value: unknown, message?: string): asserts value;
export declare function ok<T>(value: unknown, message?: string): asserts value is T;
export declare function isAsyncIterable<T>(value: unknown): value is AsyncIterable<T>;
export declare function isIterable<T>(value: unknown): value is Iterable<T>;
export declare function isNumberString(value?: unknown): value is `${number}` | number;
export declare function isTrueString(value?: unknown): value is `${1 | true}`;
export declare function isFalseString(value?: unknown): value is `${0 | false}`;
export interface Signalled {
    signal: AbortSignal;
}
export declare function isSignalled(event: unknown): event is Signalled;
export declare function isMatchingObjects(a?: unknown, b?: unknown): boolean;
